#ifndef pstruct_h
#define pstruct_h

#include "pinc.h"

struct pheader {
  char name[40];
  unsigned int version;
  char author[40];
  command *clist;
  size_t structsize;
  void (*onfinger)(character *, character *, void *);
  void (*onnew)(character *, void *);
  void (*onsave)(INIFILE *, character *, void *);
  void (*onload)(INIFILE *, character *, void *);
  void (*onlogin)(character *, void *);
  void (*onlogout)(character *, void *);
  void (*oninit)(void);
  void (*onshutdown)(void);
  char helpfile[40];
};

#endif /* pstruct_h */
